#!/bin/sh
#post-install script.
#Puppy Linux
#assume current directory is rootfs-complete, which has the final filesystem.
#this script is similar to the post-install scripts of the window managers.
#Keywords are located in the Help page and the lines uncommented.

WKGDIR="`pwd`"

#CONFIGFILE="usr/share/doc/index.html"
#CONFIGBASE="index.html"
#CONFIGFILE="usr/share/doc/index-skeleton-top"
CONFIGFILE="usr/share/doc/index.html.top"
echo "Configuring Puppy skeleton..."

#cleanup...
rm -f /tmp/fbvideomode.txt


##/tmp/keywords.txt has all the keywords read from file "keyword" in each package.
#KEYWORDS="`cat /tmp/keywords.txt`"
#NUMKEYS="`wc -w /tmp/keywords.txt | tr -s " " | cut -f 2 -d " "`"

##number lines in the config file...
#NUMLINES="`wc -l $CONFIGFILE | tr -s " " | cut -f 2 -d " "`"

#update Puppy version number...
echo -n "$PUPPYVERSION" > etc/puppyversion
DIGIT1="`echo "$PUPPYVERSION" | cut -b 1`"
DIGIT2="`echo "$PUPPYVERSION" | cut -b 2`"
DIGIT3="`echo "$PUPPYVERSION" | cut -b 3`"
RIGHTVER="${DIGIT1}.${DIGIT2}.${DIGIT3}"
[ "$DIGIT3" = "0" ] && RIGHTVER="${DIGIT1}.${DIGIT2}"

echo "Configuring Puppy Help page..."

echo "Writing version number to Help page..."
#insert the version number into file...
EDITTEXT="s/PUPPYVERSION/$RIGHTVER/g"
cat $CONFIGFILE | sed -e "$EDITTEXT" > /tmp/puphelppage.htm
sync
cp -f /tmp/puphelppage.htm $CONFIGFILE
sync

#insert date into file...
echo "Writing the date to Help page..."
PUPPYDATE="`date | tr -s " " | cut -f 2,6 -d " "`"
EDITTEXT="s/PUPPYDATE/$PUPPYDATE/g"
cat $CONFIGFILE | sed -e "$EDITTEXT" > /tmp/puphelppage.htm
sync
cp -f /tmp/puphelppage.htm $CONFIGFILE
sync

##############

##v1.0.5
#echo "The number of keywords to process is $NUMKEYS."
#echo "Processing keywords (this may take awhile!)..."
#cp -f ./usr/share/doc/index.html ./root/.index.html
#sync
#for ONEKEY in $KEYWORDS
#do
# #echo -n " $ONEKEY"
# /usr/sbin/fixmenus $WKGDIR/root $ONEKEY index
#done
#sync
#cp -f ./root/.index.html ./usr/share/doc/index.html
#echo "...rootfs-complete/$CONFIGFILE file has been processed."

##v2.14...
##./usr/sbin/indexgen.sh relative
#chroot `pwd` /usr/sbin/indexgen.sh
#...NO, have to do this in createpuppy, after packages.txt copied to rootfs-complete.

#echo "The default kernel for Puppy is vmlinuz."
echo -n "vmlinuz" > /tmp/vmlinuzforpup.txt
#note, createpuppy will read this.

#end#
depmod
#post-install script.

#creatuppy: current directory is rootfs-complete, which has the final filesystem.
#petget: current directory is /.

echo "Configuring gtkmoz as the default html viewer..."
echo '#!/bin/sh' > ./usr/local/bin/defaulthtmlviewer
echo 'exec gtkmoz "$@"' >> ./usr/local/bin/defaulthtmlviewer
#post-install script.

#creatuppy: current directory is rootfs-complete, which has the final filesystem.
#pupget: current directory is /.

#if [ ! -e ./usr/local/bin/sodipodi ];then
# ln -s inkscape ./usr/local/bin/sodipodi
#fi

echo '#!/bin/sh' > ./usr/local/bin/defaultdraw
echo 'exec inkscapelite "$@"' >> ./usr/local/bin/defaultdraw
#post-install script.
#Puppy Linux
#assume current directory is rootfs-complete, which has the final filesystem.
LOCWKGDIR="`pwd`"

#if [ ! "`echo -n "$LOCWKGDIR" | grep "rootfs-complete"`" = "" ];then
if [ ! "`pwd`" = "/" ];then

 #v1.0.3
 #case of fvwm95 not there...
 if [ ! -f ./usr/X11R7/bin/fvwm95 ];then
  echo -n "jwm" > ./etc/windowmanager
 fi

fi

#end#
#assume current directory is rootfs-complete, which has the final filesystem.

#RUNNINGPS="`ps`"
#if [ "`echo "$RUNNINGPS" | grep "petget"`" = "" ];then
if [ ! "`pwd`" = "/" ];then

 echo "Configuring Osmo..."

 echo '#!/bin/sh' > ./usr/local/bin/defaultcalendar
 echo 'exec osmo $@' >> ./usr/local/bin/defaultcalendar

fi
man pnethood &
mkdir -p $HOME/my-applications/bin 2> /dev/null
APPS="`ls -1 /usr/share/applications | tr '\n' ' '`"
for I in $APPS
do
APP="/usr/share/applications/$I"
TMP="`cat $APP | grep -m 1 ^Exec= | cut -d ' ' -f 1 | cut -d '=' -f 2`"
EXEC=`which $TMP`
TMP=`readlink $EXEC`; if [ "$TMP" ]; then EXEC=`which $TMP`; fi #if symlink
TMP=`echo $EXEC | grep AppRun`; if [ "$TMP" ]; then TMP2=`dirname "$TMP"`; EXEC=`which $TMP2`; fi
echo $EXEC
ln -fs $EXEC $HOME/my-applications/bin/
done

#!/bin/bash
rm /usr/share/fonts/default/TTF/fonts.dir
rm /usr/share/fonts/default/TTF/fonts.scale
mkfontscale /usr/share/fonts/default/TTF
mkfontdir /usr/share/fonts/default/TTF 
#post-install script for Mozilla.
#assume current directory is rootfs-complete, which has the final filesystem.

#RUNNINGPS="`ps`"
#if [ "`echo "$RUNNINGPS" | grep "petget"`" = "" ];then
if [ ! "`pwd`" = "/" ];then

 echo "Configuring ROX Filer..."

 if [ -f ./usr/local/bin/mozstart ];then
  #add entries to 'Open with...' menu in rox...
  #ln -sf /usr/local/bin/mozstart ./root/Choices/SendTo/mozilla
  #ln -sf /usr/local/bin/mozedit ./root/Choices/SendTo/composer
  ln -sf /usr/local/bin/mozstart ./root/.config/rox.sourceforge.net/OpenWith/mozilla
  ln -sf /usr/local/bin/mozedit ./root/.config/rox.sourceforge.net/OpenWith/composer
 fi

 if [ -f ./usr/local/bin/opera ];then
  #modify the rox desktop, as opera cannot open mail/addressbook/chat from commandline...
  cat ./root/Choices/ROX-Filer/globicons | sed -e 's/www48\.png/opera48\.png/g' > /tmp/globicons
  sync
  mv -f /tmp/globicons ./root/Choices/ROX-Filer/globicons
  cat ./root/Choices/ROX-Filer/PuppyPin | grep -v --extended-regexp 'defaultemail|defaultchat|defaultcontact' > /tmp/PuppyPin
  sync
  mv -f /tmp/PuppyPin ./root/Choices/ROX-Filer/PuppyPin
 
  #modify 'Open with...' menu entries in rox...
  #ln -sf /usr/local/bin/opera ./root/Choices/SendTo/opera
  ln -sf /usr/local/bin/opera ./root/.config/rox.sourceforge.net/OpenWith/opera
 fi

 if [ -f ./usr/local/bin/abiword ];then
  #modify 'Open with...' menu entries in rox...
  ln -sf /usr/local/bin/abiword ./root/.config/rox.sourceforge.net/OpenWith/abiword
 fi
 if [ -f ./usr/bin/abiword ];then
  #modify 'Open with...' menu entries in rox...
  ln -sf /usr/bin/abiword ./root/.config/rox.sourceforge.net/OpenWith/abiword
 fi

 if [ -f ./usr/bin/qiv ];then
  #modify 'Open with...' menu entries in rox...
  ln -sf /usr/bin/qiv ./root/.config/rox.sourceforge.net/OpenWith/qiv
 fi

 if [ -f ./usr/local/bin/inkscapelite ];then
  #modify 'Open with...' menu entries in rox...
  ln -sf /usr/local/bin/inkscapelite ./root/.config/rox.sourceforge.net/OpenWith/inkscapelite
 fi

fi

[ ! -e ./usr/X11R7/bin/xterm ] && ln -s /usr/bin/rxvt ./usr/X11R7/bin/xterm

CURRDIR="`pwd`"

if [ "$CURRDIR" != "/" ];then

 #there are some scripts that explicitly run xtmix...
 if [ ! -f ./usr/local/bin/xtmix ];then
  ln -s /usr/bin/sgmixer ./usr/local/bin/xtmix
 fi
 if [ ! -f ./usr/local/bin/zmixer ];then
  ln -s /usr/bin/sgmixer ./usr/local/bin/zmixer
 fi

  echo '#!/bin/sh' > ./usr/local/bin/defaultaudiomixer
  echo 'exec sgmixer "$@"' >> ./usr/local/bin/defaultaudiomixer

fi
echo "END OF pinstall.sh SCRIPT."
